Extending Qt Creator Manual | QtInfo

Extending Qt Creator Manual 4.11.0

# QtInfo Class

The QtInfo class provides Qt information determined on demand. More...

Header: | #include <QtInfo>

- List of all members, including inherited members

## Public Types

enum | Module { Core, Gui, Widgets, Network, Script, Qml }

## Public Functions

std::string | moduleName(QtInfo::Module m) const
std::string | prependQtCoreModule(const std::string &type) const
std::string | prependQtGuiModule(const std::string &type) const
std::string | prependQtModule(const std::string &type, QtInfo::Module m = Core) const
std::string | prependQtNetworkModule(const std::string &type) const
std::string | prependQtScriptModule(const std::string &type) const
std::string | prependQtWidgetsModule(const std::string &type) const

## Public Variables

bool | isStatic
std::string | libInfix
std::string | nameSpace
std::string | qObjectPrivateType
std::string | qObjectType
std::string | qWidgetPrivateType
std::string | qWindowPrivateType
int | version

## Static Public Members

const QtInfo & | get(const SymbolGroupValueContext &ctx)
std::string | prependModuleAndNameSpace(const std::string &type, const std::string &module, const std::string &nameSpace)
int | qtTypeInfoVersion(const SymbolGroupValueContext &ctx)

## Detailed Description

The QtInfo class provides Qt information determined on demand.

Namespace, modules, and basic class names containing the module for fast lookup.

## Member Type Documentation

### enum QtInfo::Module

## Member Function Documentation

### `[static]` const QtInfo &QtInfo::get(const SymbolGroupValueContext &ctx)

### std::string QtInfo::moduleName(QtInfo::Module m) const

### `[static]` std::string QtInfo::prependModuleAndNameSpace(const std::string &type, const std::string &module, const std::string &nameSpace)

### std::string QtInfo::prependQtCoreModule(const std::string &type) const

### std::string QtInfo::prependQtGuiModule(const std::string &type) const

### std::string QtInfo::prependQtModule(const std::string &type, QtInfo::Module m = Core) const

### std::string QtInfo::prependQtNetworkModule(const std::string &type) const

### std::string QtInfo::prependQtScriptModule(const std::string &type) const

### std::string QtInfo::prependQtWidgetsModule(const std::string &type) const

### `[static]` int QtInfo::qtTypeInfoVersion(const SymbolGroupValueContext &ctx)